Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase
Class AbstractSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverPhase

Direct Known Subclasses:
  DefaultBruteForceSolverPhase, DefaultCustomSolverPhase, DefaultGreedyFitSolverPhase, DefaultLocalSearchSolverPhase

    public abstract class AbstractSolverPhase

extends Object
implements SolverPhase, SolverPhaseLifecycleListener

See Also:
  `DefaultLocalSearchSolverPhase`

Field Summary
`protected BestSolutionRecaller` | `bestSolutionRecaller`
`protected org.slf4j.Logger` | `logger`
`protected SolverPhaseLifecycleSupport` | `solverPhaseLifecycleSupport`
`protected Termination` | `termination`

Constructor Summary
`AbstractSolverPhase()`

Method Summary
`void` | `addSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)`
`void` | `beforeDeciding(AbstractStepScope stepScope)`
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `removeSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)`
`void` | `setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)`
`void` | `setTermination(Termination termination)`
`void` | `stepDecided(AbstractStepScope stepScope)`
`void` | `stepTaken(AbstractStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`solve`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### termination

    protected Termination termination

### bestSolutionRecaller

    protected BestSolutionRecaller bestSolutionRecaller

### solverPhaseLifecycleSupport

    protected SolverPhaseLifecycleSupport solverPhaseLifecycleSupport

Constructor Detail

### AbstractSolverPhase

    public AbstractSolverPhase()

Method Detail

### setTermination

    public void setTermination(Termination termination)

### setBestSolutionRecaller

    public void setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`

### beforeDeciding

    public void beforeDeciding(AbstractStepScope stepScope)

  Specified by:
    `beforeDeciding` in interface `SolverPhaseLifecycleListener`

### stepDecided

    public void stepDecided(AbstractStepScope stepScope)

  Specified by:
    `stepDecided` in interface `SolverPhaseLifecycleListener`

### stepTaken

    public void stepTaken(AbstractStepScope stepScope)

  Specified by:
    `stepTaken` in interface `SolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`

### addSolverPhaseLifecycleListener

    public void addSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)

  Specified by:
    `addSolverPhaseLifecycleListener` in interface `SolverPhase`

### removeSolverPhaseLifecycleListener

    public void removeSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)

  Specified by:
    `removeSolverPhaseLifecycleListener` in interface `SolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.